package com.usky.system.service;

import com.usky.system.domain.SysTenant;
import com.usky.system.domain.SysUserTenant;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.service.vo.TenantPlatformVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author han
 * @since 2024-09-11
 */
public interface SysUserTenantService extends CrudService<SysUserTenant> {
    /**
     * 企业邀请用户
     *
     * @param sysUserTenant
     */
    void insertInviteUser(SysUserTenant sysUserTenant);

    /**
     * 企业解绑用户
     *
     * @param tenantId 租户ID
     * @param userId 用户ID
     */
    void deleteUserTenant(Integer tenantId,Long userId);

    /**
     * 根据用户查询企业下拉框
     */
    List<SysTenant> getTenantByUser(Long userId);

    /**
     * 根据用户查询绑定状态
     */
    Boolean getIdByUser(Integer tenantId,Long userId);

    /**
     * 根据用户查询默认租户ID
     */
    Integer getIsDefaultByUser(Long userId);

    void updateUserTenant(SysUserTenant userTenant);
}
